package com.xzzn.ems.service;

import com.xzzn.ems.domain.vo.*;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletResponse;

/**
 * 统计报表数据Service接口
 *
 * @author xzzn
 * @date 2025-06-29
 */
public interface IEmsStatsReportService
{

    public ElectricDataInfoVo getElectricDataResult(DateSearchRequest requestVo);

    public List<PCSCurveResponse> getPCSDataResult(DateSearchRequest requestVo);

    public List<StackCurveResponse> getStackDataResult(DateSearchRequest requestVo);

    public List<ClusterStatisListVo> getClusterDataResult(StatisClusterDateRequest requestVo);

    public List<Map<String,Object>> getLoadNameList(String siteId);

    public List<AmmeterStatisListVo> getAmmeterDataResult(StatisAmmeterDateRequest requestVo);

    List<AmmeterRevenueStatisListVo> getAmmeterRevenueDataResult(StatisAmmeterDateRequest requestVo);

    public List<PowerStatisListVo> getPowerDataList(DateSearchRequest requestVo);

    public List<BatteryDataStatsListVo> getSingleBatteryData(DateSearchRequest requestVo);

    void exportAmmeterData(HttpServletResponse response, StatisAmmeterDateRequest requestVo);

    void exportAmmeterRevenueData(HttpServletResponse response, StatisAmmeterDateRequest requestVo);
}
